# -----------------------------------------------------------------------------
# Project: OpenGTS - Open GPS Tracking System
# URL    : http://www.opengts.org
# File   : webapp.conf
# -----------------------------------------------------------------------------
# Notes:
#   - This runtime-config file establishes global system-level attributes (the 'private.xml'
#     file establishes domain-level atributes).
#   - Comments lines begin with a '#' character.
#   - Comments MUST NOT be placed at the end of a key=value line
#   - Variable name substitution syntax defined in 'README.txt'
# -----------------------------------------------------------------------------
#%debugMode=true
#DebugPushpins=true

# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
# --- innitial settings

# --------------------------------------
# --- Mologogo properties
# --- (overridable Mologogo 'altURL' server properties)
#mologogo.logName=mologogo
#mologogo.uniquePrefix=molo
#mologogo.defaultAccountID=
#mologogo.allowAcctDevID=true
#mologogo.minimumSpeedKPH=4.0

# --------------------------------------
# --- GPRMC properties
# - gprmc.logName           - Name used in logging output [default "gprmc"]
# - gprmc.uniquePrefix      - Prefix used on uniqueID when lookup up Device [defaults to 'gprmc.logName']
# - gprmc.defaultAccountID  - Default account id [default "gprmc"]
# - gprmc.minimumSpeedKPH   - Minimum acceptable speed
# - gprmc.dateFormat        - Date format for 'date' parameter (NONE|EPOCH|YMD|DMY|MDY) [default "YMD"]
# - gprmc.response.ok       - Response on successful data [default ""]
# - gprmc.response.error    - Response on error data [default ""]
# - gprmc.parm.unique       - Unique-ID parameter key [default "id", "imei", "un"]
# - gprmc.parm.account      - Account-ID parameter key [default "acct", "account", "a"]
# - gprmc.parm.device       - Device-ID parameter key [default "dev", "device", d"]
# - gprmc.parm.auth         - Auth/Password parameter key [default "pass", "password", "pw"]
# - gprmc.parm.status       - StatusCode parameter key [default "code", "sc", "pointType"]
# - gprmc.parm.gprmc        - $GPRMC parameter key [default "gprmc", "rmc", "cds", "nmea"]
# - gprmc.parm.date         - Date parameter key (ignored if 'gprmc' is used) [default "date", "datetime", dt"]
# - gprmc.parm.time         - Time parameter key (ignored if 'gprmc' is used) [default "time", "tm"]
# - gprmc.parm.latitude     - Latitude parameter key (ignored if 'gprmc' is used) [default "lat", "latitude"]
# - gprmc.parm.longitude    - Longitude parameter key (ignored if 'gprmc' is used) [default "lon", "longitude"]
# - gprmc.parm.speed        - Speed(kph) parameter key (ignored if 'gprmc' is used) [default "speed", "kph"]
# - gprmc.parm.heading      - Heading(degrees) parameter key (ignored if 'gprmc' is used) [default "head", "heading", "direction"]
# - gprmc.parm.altitude     - Altitude(meters) parameter key [default "alt", "altitude"]
# - gprmc.parm.odometer     - Odometer(kilometers) parameter key [default "odom", "odometer"]
# - gprmc.parm.address      - Reverse-Geocode parameter key [default "addr", "address"]
# - gprmc.parm.driver       - DriverID parameter key [default "drv", "driver"]
# - gprmc.parm.message      - Message parameter key [default "msg", "message"]

# --------------------------------------
# --- NetGPS configuration: [http://www.gpsvehiclenavigation.com/GPS/netgps.php]
# - http://track.example.com/gprmc/Data?
# -     un=deviceid&
# -     cds=$GPRMC,140159.435,V,3244.2749,N,14209.9369,W,,,200807,,*13&
# -     pw=anypass
#gprmc.logName=netgps
#gprmc.defaultAccountID=netgps
#gprmc.minimumSpeedKPH=4.0
#gprmc.parm.account=acct
#gprmc.parm.device=un
#gprmc.parm.auth=pw
#gprmc.parm.gprmc=cds
#gprmc.response.ok=GPSOK
#gprmc.response.error=GPSERROR

# --------------------------------------
# --- GPS2OpenGTS configuration:
# - http://track.example.com:8080/gprmc/Data?
# -     acct=test&
# -     dev=test01&
# -     gprmc=$GPRMC,204852,A,3909.0952,N,12107.936,W,0,000.0,191112,,*27
# - Use specified AccountID/DeviceID: (default configuration)
#gprmc.parm.mobile=
#gprmc.parm.account=acct
#gprmc.parm.device=dev
# - Use "acct" as MobileID: ("&dev=..." will be ignored)
#gprmc.parm.mobile=acct
#gprmc.parm.account=
#gprmc.parm.device=
# - Use "acct" as MobileID as well as support other device which support "gprmc"
#gprmc.parm.mobile=acct,id,imei,un
#gprmc.parm.account=
#gprmc.parm.device=

# --------------------------------------
# --- GPRMC properties
#gprmc.logName=gprmc
#gprmc.defaultAccountID=gprmcx
#gprmc.minimumSpeedKPH=5.0
#gprmc.simulateGeozones=true
#gprmc.parm.account=acct
#gprmc.parm.device=dev
#gprmc.parm.auth=pass
#gprmc.parm.status=code
#gprmc.parm.gprmc=gprmc
#gprmc.response.ok=GPSOK
#gprmc.response.error=GPSERROR

# --------------------------------------
# --- GC-101 properties
# --- (overridable 'gc101' servlet server properties)
#gc101.minimumSpeedKPH=4.0
#gc101.estimateOdometer=true
#gc101.simulateGeozones=true

# --------------------------------------
# --- GlobalStar-SPOT properties 
# --- (not available in all installations)
#w-gsspot.estimateOdometer=true
#w-gsspot.showRequestXML=true
#w-gsspot.messageTypeCode.CUSTOM=0xE011

# --------------------------------------
# --- GlobalStar/Axonn SMARTONE properties 
# --- (not available in all installations)
#w-axonn.estimateOdometer=true
#w-axonn.simulateGeozones=true
#w-axonn.simulateDigitalInputs=true
#w-axonn.saveRawDataPackets=false
#w-axonn.showRequestXML=true

# --------------------------------------
# --- DeLorme IPC Outbound properties 
# --- (not available in all installations)
#w-delorme.estimateOdometer=true
#w-delorme.simulateGeozones=true
#w-delorme.simulateDigitalInputs=true
#w-delorme.showRequestJSON=false
#w-delorme.saveRawDataPackets=false

# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------

# --- Track BaseURI
# --- (overridable 'Track' servlet base URL)
#track.baseURI=./Track

# --- offline text (feature may not be available in all releases)
#track.offlineFile=/tmp/.gtsOffline

# --- Enable Service (feature may not be available in all releases)
#track.enableService=true

# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
# --- common include

# --- Common configuration properties
%include=file:common.conf

# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
# --- overrides

# --- Logging
# --- (output message logging specifications)

# - log level (off, fatal, error, warn, info, debug, all)
#log.level=debug

# - log name
log.name=${%contextName=webapp}

# - log dir/file
log.dir=${GTS_HOME}/logs
log.file=${log.dir}/${log.name}.log
log.file.enable=true

# --- display log message (INFO level)
#%log=(${log.name}:${%version}) Loading "${%configURL}"

# ---
